Bug 2973 - fglrx searches wrong path for dri, wrong permissions for /proc/ati
: fglrx searches wrong path for dri, wrong permissions for /proc/ati
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 22:32 MSD by Rolf Pedersen
Modified: 2013-11-03 18:37 MSK (History)
2 users (show)

See Also:
RPM Package: fglrx-13.200.5-1.src.rpm
ISO-related:
Bad POT generating:
Upstream:


Attachments
errors from the chmod 777 hack (3.73 KB, text/plain)
2013-10-24 23:29 MSD, Rolf Pedersen
Details
Some record of installing new driver and possible effects (29.88 KB, text/plain)
2013-10-31 17:14 MSK, Rolf Pedersen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Pedersen 2013-10-24 22:32:46 MSD
This is on up-to-date Desktop Fresh 2012.1
Some hardware info is here: https://dl.dropboxusercontent.com/u/1286780/rosa/inxi-rosa.txt

I just changed the video card from nvidia GTX 470 to Radeon HD 6950.

After trying opensource radeon for a while, I used XFdrake to choose fglrx, which is fine except dri cannot be found because a wrong path is searched.  

$ rpm -qa | grep fglrx
dkms-fglrx-13.200.5-1-rosa2012.1.x86_64
fglrx-control-center-13.200.5-1-rosa2012.1.x86_64
x11-driver-video-fglrx-13.200.5-1-rosa2012.1.x86_64

# modprobe dri
modprobe: FATAL: Module dri not found.

$ LIBGL_DEBUG=verbose glxinfo
name of display: :0
libGL: AtiGetClientDriverName: 13.20.4 fglrx (screen 0)
libGL error: OpenDriver: failed to open /usr/X11R6/lib64/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
..

There is some workaround: http://forums.fedoraforum.org/showthread.php?t=293434
so,

# mkdir -p /usr/X11R6/lib64/modules/dri/
# cp /usr/lib64/dri/fglrx_dri.so /usr/X11R6/lib64/modules/dri

That removes the error, persists through a reboot.  Also,

ukiDynamicMajor: failed to open /proc/ati/major
Setting of real/effective user Id to 0/0 failed
ukiDynamicMajor: failed to open /proc/ati/major
ukiDynamicMajor: failed to open /proc/ati/major
ukiDynamicMajor: failed to open /proc/ati/major
libGL error: open uki failed (Operation not permitted)
libGL error: reverting to (slow) indirect rendering

Some hack is `chmod -R 777 /proc/ati` http://phoronix.com/forums/showthread.php?82952-AMD-Catalyst-13-8-Beta

and it doesn't last past a reboot.
Thanks.
Comment 1 Rolf Pedersen 2013-10-24 23:29:16 MSD
Created attachment 2119 [details]
errors from the chmod 777 hack

Further hack is to put the chmod statement in /etc/rc.local  
After that, re-booting results in direct rendering is "yes" but glxinfo reports errors, so this is not the best way.
Comment 2 Denis Silakov 2013-10-30 10:21:10 MSK
See discussion in bug #3010 between our QA and developers concerning permissions in /proc/ati...
Comment 3 Rolf Pedersen 2013-10-31 17:14:05 MSK
Created attachment 2165 [details]
Some record of installing new driver and possible effects

Ok.  Nicco pointed me to the new packages so I tried to revert my hacks and install them.  This attachment is a record of some of the steps and outcome, also at that MIB forum thread: http://mib.pianetalinux.org/forum/viewtopic.php?p=23180#p23180

$ rpm -qa|grep fglrx
dkms-fglrx-13.200.5-2-rosa2012.1.x86_64
x11-driver-video-fglrx-13.200.5-2-rosa2012.1.x86_64
fglrx-control-center-13.200.5-2-rosa2012.1.x86_64

There is still an error about failing to find dri and I don't know if that is important.  Direct rendering is Yes.

I did not have the Magic Lamp effect selected.  If I do, I get the colorful but non-functional desktop like in Dmitry's movie: http://bugs.rosalinux.ru/show_bug.cgi?id=3010#c12

Thanks.
Comment 4 Rolf Pedersen 2013-11-03 18:37:29 MSK
I see Magic Lamp is a widespread problem and fglrx seems, otherwise, to be working fine for me.  So, I'll mark as resolved.  Thanks.